package com.qmth.teachcloud.report.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 考务数据基础表
 * </p>
 *
 * @author wangliang
 * @since 2021-06-22
 */
@ApiModel(value = "TBExamination对象", description = "考务数据基础表")
public class TBExamination implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField(value = "school_id")
    private Long schoolId;

    @ApiModelProperty(value = "考试id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField(value = "exam_id")
    private Long examId;

    @ApiModelProperty(value = "教务课头号")
    @TableField(value = "course_header_code")
    private String courseHeaderCode;

    @ApiModelProperty(value = "教务课程号")
    @TableField(value = "examination_course_code")
    private String examinationCourseCode;

    @ApiModelProperty(value = "课程名称")
    @TableField(value = "course_name")
    private String courseName;

    @ApiModelProperty(value = "教师编号")
    @TableField(value = "teacher_code")
    private String teacherCode;

    @ApiModelProperty(value = "教师名称")
    @TableField(value = "teacher_name")
    private String teacherName;

    @ApiModelProperty(value = "开课学院名称")
    @TableField(value = "teach_college_name")
    private String teachCollegeName;

    @ApiModelProperty(value = "学分")
    @TableField(value = "credit")
    private String credit;

    @ApiModelProperty(value = "学号")
    @TableField(value = "student_code")
    private String studentCode;

    @ApiModelProperty(value = "学生名称")
    @TableField(value = "student_name")
    private String studentName;

    @ApiModelProperty(value = "考察学院名称")
    @TableField(value = "inspect_college_name")
    private String inspectCollegeName;

    @ApiModelProperty(value = "专业")
    @TableField(value = "major")
    private String major;

    @ApiModelProperty(value = "学习类型（应届、本届）")
    @TableField(value = "study_type")
    private String studyType;

    @ApiModelProperty(value = "年级")
    @TableField(value = "grade")
    private String grade;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCourseHeaderCode() {
        return courseHeaderCode;
    }

    public void setCourseHeaderCode(String courseHeaderCode) {
        this.courseHeaderCode = courseHeaderCode;
    }

    public String getExaminationCourseCode() {
        return examinationCourseCode;
    }

    public void setExaminationCourseCode(String examinationCourseCode) {
        this.examinationCourseCode = examinationCourseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getTeacherCode() {
        return teacherCode;
    }

    public void setTeacherCode(String teacherCode) {
        this.teacherCode = teacherCode;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeachCollegeName() {
        return teachCollegeName;
    }

    public void setTeachCollegeName(String teachCollegeName) {
        this.teachCollegeName = teachCollegeName;
    }

    public String getCredit() {
        return credit;
    }

    public void setCredit(String credit) {
        this.credit = credit;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getInspectCollegeName() {
        return inspectCollegeName;
    }

    public void setInspectCollegeName(String inspectCollegeName) {
        this.inspectCollegeName = inspectCollegeName;
    }

    public String getMajor() {
        return major;
    }

    public void setMajor(String major) {
        this.major = major;
    }

    public String getStudyType() {
        return studyType;
    }

    public void setStudyType(String studyType) {
        this.studyType = studyType;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }
}
